#!/bin/sh

cd src

if [ `id -u` != 0 ]; then
	echo You must run this script as root, so that it can install
	echo the new versions of the included programs.
	exit
fi

d=usr.bin
for i in make touch fetch yacc
do
	(cd $d/$i ; make ; install -c -s -o bin -g bin -m 555 $i /usr/bin)
done

d=usr.sbin
for i in tcpdump/tcpslice xntpd
do
	(cd $d/$i ; make )
done
install -c -s -o bin -g bin -m 555 usr.sbin/tcpdump/tcpslice/tcpslice /usr/sbin
install -c -s -o bin -g bin -m 555 usr.sbin/xntpd/xntpd/xntpd /usr/sbin

(cd gnu/usr.bin/tar ; make)
install -c -s -o bin -g bin -m 555 gnu/usr.bin/tar /usr/bin

(cd libexec/ftpd ; make )
install -c -s -o bin -g bin -m 555 libexec/ftpd/ftpd /usr/libexec

cp usr.sbin/adduser/adduser.perl /usr/sbin


d=usr.bin
for i in make touch fetch yacc
do
	(cd $d/$i ; make clean);
done

d=usr.sbin
for i in tcpdump/tcpslice xntpd
do
	(cd $d/$i ; make clean )
done

(cd gnu/usr.bin/tar ; make clean)

(cd libexec/ftpd ; make clean )
